<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgPlanPowerCutPvUsersMapper">

    <select id="countByPlanId" resultType="com.hdkj.lt.core.bizms.modle.po.plan.FhzgPlanPowerCutPvUsers">
        SELECT cpv.plan_id planId, count(1) count
        FROM fhzg_plan_power_cut_pv_users cpv
        where cpv.plan_id in
        <foreach collection="planIdList" open="(" item="planId" separator="," close=")">
            #{planId}
        </foreach>
        GROUP BY cpv.plan_id
    </select>

</mapper>
